import React, {useCallback} from 'react';
import {useDropzone} from 'react-dropzone';

import { store} from '../store';
import { actionUploadFile } from '../action';

const InputUpLoadFile = () => {
  const onDrop = useCallback(acceptedFiles => {
    console.log('acceptedFiles', acceptedFiles);
    store.dispatch(actionUploadFile(acceptedFiles ))
  }, [])
  
  const {getRootProps, getInputProps, isDragActive} = useDropzone({onDrop})

  return (
    <div {...getRootProps()}>
      <input {...getInputProps()} />
      {
        isDragActive ?
          <p>Drop the files here ...</p> :
          <p>Выбрать файл</p>
      }
    </div>
  )
}

export default InputUpLoadFile;